#version 330
precision highp float;

in vec3 position;
in vec2 uv;
in vec3 normal;

out vec2 ex_Uv;
out vec3 ex_Normal;

uniform mat4 model;
uniform mat4 view;
uniform mat4 projection;


void main()
{
	gl_Position = projection * view * model * vec4(position, 1.0);
	ex_Uv = uv;
	ex_Normal = normal;
}
